Subject: Re: bug#24724: 25.1; Arabic Printing Problem

From: Eli Zaretskii <[email-masked]>
Date: Tue, 18 Oct 2016 18:07:12 +0300

> From: Waleed Yousef <[email-masked]>
> Date: Tue, 18 Oct 2016 16:21:45 +0000
> 
> When I write Arabic in Emacs buffer, it writes well. However, to print
> the buffer I use ps-spool-buffer, then save the buffer to tmp.ps then
> open using gs. However, the ps file has letters in revers order.

How does this work with other software which produces PostScript?
Does PostScript have a way to ask the printer to reorder the text? if
so, how?  Or is the program that generates PS supposed to reorder the
text?  In the latter case, we need to modify ps-print to do that.

> I use this in my .emacs:

Can you explain why and how this does the job?  Is there something
special in djvmono.bdf font?  Or am I missing the part that reorders
the bidirectional text?